﻿/* DEFAULTS
----------------------------------------------------------*/

body {
    background: #b6b7bc;
    font-size: .80em;
    font-family: Helvetica, Arial, "Lucida Grande", "Segoe UI", Verdana, sans-serif;
    margin: 0px 0px 0px 0px;
    padding: 0px;
}

a:link, a:visited {
    color: #034af3;
}

a:hover {
    color: #1d60ff;
    text-decoration: none;
}

a:active {
    color: #034af3;
}

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1 {
    font-size: 1.6em;
    font-weight: 300;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2 {
    font-size: 1.5em;
    font-weight: 300;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page {
    width: 100%;
    background-color: #fff;
    margin: 0px auto 0px auto;
    border: 1px solid #496077;
}

.header {
    position: relative;
    margin: 0px;
    padding: 0px;
    background: #106470;
    width: 100%;
    height: 130px;
    min-width: 1000px;
}

    .header h1 {
        font-weight: 700;
        margin: 0px;
        padding: 0px 0px 0px 20px;
        color: #f9f9f9;
        border: none;
        line-height: 2em;
        font-size: 2em;
    }

    .header h2 {
        color: #f9f9f9;
    }

.main {
    padding: 0px 12px;
    margin: 25px 15px 8px 50px;
    min-height: 420px;
}

.leftCol {
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer {
    color: #4e5766;
    padding: 8px 0px 0px 0px;
    margin: 0px auto;
    text-align: center;
    line-height: normal;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink {
    background-color: #3a4f63;
    width: 100%;
}

div.menu {
    padding: 4px 0px 4px 8px;
}

    div.menu ul {
        list-style: none;
        margin: 0px;
        padding: 0px;
        width: auto;
    }

        div.menu ul li a, div.menu ul li a:visited {
            background-color: #465c71;
            border: 1px #4e667d solid;
            color: #dde4ec;
            display: block;
            line-height: 1.35em;
            padding: 4px 20px;
            text-decoration: none;
            white-space: nowrap;
        }

            div.menu ul li a:hover {
                background-color: #bfcbd6;
                color: #465c71;
                text-decoration: none;
            }

            div.menu ul li a:active {
                background-color: #465c71;
                color: #cfdbe6;
                text-decoration: none;
            }

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
    margin: 1em 0px;
    padding: 1em;
    border: 1px solid #ccc;
    line-height: 25px;
}

    fieldset p {
        margin: 2px 12px 10px 10px;
    }

    fieldset.login label, fieldset.register label, fieldset.changePassword label {
        display: block;
    }

    fieldset label.inline {
        display: inline;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

input.textEntry {
    width: 320px;
    border: 1px solid #ccc;
}

input.passwordEntry {
    width: 320px;
    border: 1px solid #ccc;
}

div.accountInfo {
    width: 42%;
}

/* MISC  
----------------------------------------------------------*/

.clear {
    clear: both;
}

.title {
    display: block;
    float: left;
    text-align: left;
    width: auto;
}

.loginDisplay {
    font-size: 1.1em;
    display: block;
    text-align: right;
    padding: 10px;
    color: White;
}

    .loginDisplay a:link {
        color: white;
    }

    .loginDisplay a:visited {
        color: white;
    }

    .loginDisplay a:hover {
        color: white;
    }

.failureNotification {
    font-size: 1em;
    color: maroon;
    font-weight: bold;
}

.bold {
    font-weight: bold;
}

.submitButton {
    text-align: right;
    padding-right: 10px;
}

/* Link buttons */

.pure-button {
    display: inline-block;
    *display: inline;
    zoom: 1;
    line-height: normal;
    white-space: nowrap;
    vertical-align: baseline;
    text-align: center;
    cursor: pointer;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}

    .pure-button::-moz-focus-inner {
        padding: 0;
        border: 0
    }

.pure-button {
    font-size: 100%;
    *font-size: 90%;
    *overflow: visible;
    padding: .5em 1.5em;
    color: #444;
    color: rgba(0, 0, 0, .8);
    *color: #444;
    border: 1px solid #999;
    border: 0 rgba(0, 0, 0, 0);
    background-color: #E6E6E6;
    text-decoration: none;
    border-radius: 2px;
    -webkit-font-smoothing: antialiased;
    -webkit-transition: .1s linear -webkit-box-shadow;
    -moz-transition: .1s linear -moz-box-shadow;
    -ms-transition: .1s linear box-shadow;
    -o-transition: .1s linear box-shadow;
    transition: .1s linear box-shadow
}

    .pure-button-hover, .pure-button:hover, .pure-button:focus {
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr = '#00000000', endColorstr = '#1a000000', GradientType = 0);
        background-image: -webkit-gradient(linear, 0 0, 0 100%, from(transparent), color-stop(40%, rgba(0, 0, 0, .05)), to(rgba(0, 0, 0, .1)));
        background-image: -webkit-linear-gradient(transparent, rgba(0, 0, 0, .05) 40%, rgba(0, 0, 0, .1));
        background-image: -moz-linear-gradient(top, rgba(0, 0, 0, .05) 0, rgba(0, 0, 0, .1));
        background-image: -ms-linear-gradient(transparent, rgba(0, 0, 0, .05) 40%, rgba(0, 0, 0, .1));
        background-image: -o-linear-gradient(transparent, rgba(0, 0, 0, .05) 40%, rgba(0, 0, 0, .1));
        background-image: linear-gradient(transparent, rgba(0, 0, 0, .05) 40%, rgba(0, 0, 0, .1))
    }

    .pure-button:focus {
        outline: 0
    }

    .pure-button-active, .pure-button:active {
        box-shadow: 0 0 0 1px rgba(0, 0, 0, .15) inset, 0 0 6px rgba(0, 0, 0, .2) inset
    }

    .pure-button[disabled], .pure-button-disabled, .pure-button-disabled:hover, .pure-button-disabled:focus, .pure-button-disabled:active {
        border: 0;
        background-image: none;
        filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
        filter: alpha(opacity = 40);
        -khtml-opacity: .4;
        -moz-opacity: .4;
        opacity: .4;
        cursor: not-allowed;
        box-shadow: none
    }

.pure-button-hidden {
    display: none
}

.pure-button::-moz-focus-inner {
    padding: 0;
    border: 0
}

.pure-button-primary, .pure-button-selected, a.pure-button-primary, a.pure-button-selected {
    background-color: #0078e7;
    color: #fff
}

/**MEH37 added styles**/

/* Show/hide buttons */
.show_hide {
    background: #003e74 url("images/ui-bg_highlight-soft_75_106470_1x100.png") 50% 50% repeat-x;
    color: white;
    font-family: Calibri;
}

/*Panels*/
div.roundedpanel {
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border: 3px solid #315B80;
    height: 150px;
    width: 250px;
    padding: 10px;
    float: left;
    margin-right: 20px;
    text-align: center;
}

    div.roundedpanel a:link, a:visited {
        color: #034af3;
    }

div.roundedpanelcontainer {
    text-align: center;
}

    div.roundedpanelcontainer li {
        margin-right: 10px;
        margin-bottom: 10px;
        list-style: none;
        float: left;
    }


/*Gridviews*/
/*From http://www.dotnetfox.com/articles/gridview-custom-css-style-example-in-Asp-Net-1088.aspx */
.Grid {
    background-color: #fff;
    margin: 5px 0 10px 0;
    border: solid 1px #525252;
    border-collapse: collapse;
    font-family: Calibri;
    color: #474747;
}

    .Grid td {
        padding: 2px;
        border: solid 1px #c1c1c1;
    }

    .Grid th {
        padding: 4px 2px;
        color: #fff;
        background: #496077 url("images/ui-bg_highlight-soft_75_106470_1x100.png") 50% 50% repeat-x;
        border-left: solid 1px #525252;
        font-size: 0.9em;
    }

    .Grid .alt {
        background: #fcfcfc url(Images/grid-alt.png) repeat-x top;
    }

    .Grid .pgr {
        background: #496077 url("images/ui-bg_highlight-soft_75_106470_1x100.png") 50% 50% repeat-x;
    }

        .Grid .pgr table {
            margin: 3px 0;
        }

        .Grid .pgr td {
            border-width: 0;
            padding: 0 6px;
            border-left: solid 1px #666;
            font-weight: bold;
            color: #f3bd48;
            line-height: 12px;
        }

            .Grid .pgr td a {
                color: #ffffff;
                text-decoration: none;
            }

                .Grid .pgr td a:hover {
                    color: #ffffff;
                    text-decoration: none;
                }

.GridSelected {
    background-color: #edc030
}

.GridAlternate {
    background-color: #CCCCCC
}

.GridNoBorder {
    background-color: #fff;
    margin: 5px 0 10px 0;
    border: solid 0px #c1c1c1;
    border-collapse: collapse;
    font-family: Calibri;
    color: #474747;
}

    .GridNoBorder td {
        padding: 2px;
        border: solid 0px #c1c1c1;
    }

    .GridNoBorder th {
        padding: 4px 2px;
        color: #fff;
        background: #496077 url("images/ui-bg_highlight-soft_75_106470_1x100.png") 50% 50% repeat-x;
        border-left: solid 1px #525252;
        font-size: 0.9em;
    }

    .GridNoBorder .alt {
        background: #fcfcfc url(Images/grid-alt.png) repeat-x top;
    }

    .GridNoBorder .pgr {
        background: #496077 url("images/ui-bg_highlight-soft_75_106470_1x100.png") 50% 50% repeat-x;
    }

        .GridNoBorder .pgr table {
            margin: 3px 0;
        }

        .GridNoBorder .pgr td {
            border-width: 0;
            padding: 0 6px;
            border-left: solid 1px #666;
            font-weight: bold;
            color: #f3bd48;
            line-height: 12px;
        }

        .GridNoBorder .pgr a {
            color: #ffffff;
            text-decoration: none;
        }

            .GridNoBorder .pgr a:hover {
                color: #ffffff;
                text-decoration: none;
            }

/*{
  border: 1px solid #aaaaaa;
  background: #003e74 url("images/ui-bg_highlight-soft_75_003e74_1x100.png") 50% 50% repeat-x;
  background-image: url(https://uatresearchcontracts.admin.cam.ac.uk/Styles/images/ui-bg_highlight-soft_75_003e74_1x100.png);
  background-position-x: 50%;
  background-position-y: 50%;
  background-size: initial;
  background-repeat-x: repeat;
  background-repeat-y: no-repeat;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(0, 62, 116);
  color: #ffffff;
  font-weight: bold;
} */
.ui-helper-clearfix {
    min-height: 0;
    /*support: IE7; */
}

/* JQuery modals */
#mask {
    position: fixed;
    left: 0px;
    top: 0px;
    z-index: 4;
    opacity: 0.4;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=40)"; /* first!*/
    filter: alpha(opacity=40); /* second!*/
    background-color: gray;
    display: none;
    width: 100%;
    height: 100%;
}

/* Other modals */
.modal_back {
    background-color: Gray;
    filter: alpha(opacity=50);
    opacity: 0.5;
    width: 100%;
    top: 0px;
    left: 0px;
    position: fixed;
    height: 100%;
}

.modal_front {
    margin: auto;
    font-family: Trebuchet MS;
    filter: alpha(opacity=100);
    opacity: 1;
    font-size: small;
    vertical-align: middle;
    top: 45%;
    position: fixed;
    right: 45%;
    color: #106470;
    text-align: center;
    background-color: White;
    height: 100px;
}

    .modal_front table {
        background-color: White;
        font-family: Sans-Serif;
        text-align: center;
        border: solid 1px #496077;
        color: #496077;
        width: inherit;
        height: inherit;
        padding: 15px;
    }

.modal_edit {
    /* Use for editable content */
    margin: 15px;
    padding: 10px;
    font-family: Trebuchet MS;
    filter: alpha(opacity=100);
    opacity: 1;
    font-size: small;
    vertical-align: middle;
    top: 15%;
    position: fixed;
    right: 45%;
    color: #106470;
    background-color: White;
    min-height: 100px;
    width: 85%;
    border: 1px solid black;
}

    .modal_edit h2 {
        text-align: center;
    }
/* Tables through Divs */
div
.filterContainer {
    display: inline-block;
    padding: 5px;
    width: 98%;
    background-color: #EAFAEA;
}

.filterContainerBorder {
    display: inline-block;
    padding: 5px;
    width: 98%;
    background-color: #EAFAEA;
    border: 1px solid black;
}

.filterContainerBorderBlank {
    display: inline-block;
    padding: 5px;
    width: 98%;
    border: 1px solid black;
    vertical-align: top;
}

.filterRow {
    float: none;
}

.filterHeader {
    display: inline-block;
    /* float: left; */
    width: 100px;
    margin: 0;
    padding: 2px;
    text-align: right;
}

.filterContent {
    display: inline-block;
    margin-left: 10px;
    padding: 2px;
    min-width: 100px;
}

.filterExplanation {
    display: inline-block;
    margin-left: 10px;
    margin-right: 10px;
    padding: 2px;
    text-align: left;
}


/* Controls - to make stick at bottom so always visible*/
.controlFooter {
    position: sticky;
    left: 0px;
    bottom: 0px;
    max-width: 1200px;
    color: black;
    background-color: white;
    border: 1px solid #496077;
    text-align: left;
    padding-left: 30px;
}


/* Multiline text boxes (see http://stackoverflow.com/questions/8432961/the-default-font-for-multiline-textbox-is-different-from-singleline-textbox) */
TEXTAREA, INPUT[type="text"] {
    /* font size, line height, face */
    font-family: Helvetica, Arial, "Lucida Grande", "Segoe UI", Verdana, sans-serif;
    /* useful for supporting 100% width inclusive of padding and border */
    box-sizing: border-box;
}

/* Misc */
span.error {
    font-size: 100%;
    color: #800000;
    font-weight: bold;
}

/* For assessment scoring summary */
.assessmentSmall {
    width: 60px;
    text-align: center;
}

.assessmentBig {
    width: 400px;
}

    .assessmentBig th {
        border-color: #FFFFFF;
    }

.assessmentVBig {
    width: 860px;
}

    .assessmentVBig th {
        border-color: #FFFFFF;
    }

.assessmentTB {
    width: 98%;
    height: 45px;
}

.assessmentSumTitle {
    width: 120px;
}


/* The sidebar menu */
.scoresum {
    height: 500px; /* Full-height: remove this if you want "auto" height */
    width: 200px; /* Set the width of the sidebar */
    position: fixed; /* Fixed Sidebar (stay in place on scroll) */
    z-index: 1; /* Stay on top */
    top: 170px; /* Stay at the top */
    left: 10px;
    background-color: #000; /* Black */
    overflow-x: hidden; /* Disable horizontal scroll */
    padding-top: 20px;
}

    /* The navigation menu links */
    .scoresum td {
        color: #ffffff;
        background-color: #000000;
        padding: 2px 2px 2px 2px;
    }

    .scoresum h3 {
        color: #ffffff;
        background-color: #000000;
        padding: 2px 2px 2px 2px;
    }

    /* When you mouse over the navigation links, change their color */
    .scoresum a:hover {
        color: #f1f1f1;
    }


/* Assessment holding divs*/
.assessmentBorder {
    border: solid 1px #c1c1c1;
    width: 1100px;
    padding: 10px !important;
}

.assessmentWrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: auto;
}

.assessmentbox1 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
}

.assessmentbox2 {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 2;
    text-align: right;
}

.assessmentbox3 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 3;
    grid-row-end: 4;
}